Cookies are disabled. This site requires cookies turned on to run properly. Please enable cookies and reload this page.

Best noise reduction
for digital video
Logo

Baselight Support

Nov 21, 2018

The updated version 4.8.3 of Neat Video 4 OpenFX plug-in now also supports the latest version 5.1 of FilmLight Baselight. We expect the newer versions of Baselight to be compatible as well.

Please re-download and install the most recent version of Neat Video OpenFX from your account on this website to be able to use it with Baselight 5.1 or newer.

If you are using an earlier version of Baselight, then please also update that software to the version 5.1 or newer to be able to use Neat Video 4 OpenFX plug-in with it.